diff --git a/combo/apps/wcs/migrations/0007_trackingcodeinputcell.py b/combo/apps/wcs/migrations/0007_trackingcodeinputcell.py
index b64930bd..8331c304 100644
--- a/combo/apps/wcs/migrations/0007_trackingcodeinputcell.py
+++ b/combo/apps/wcs/migrations/0007_trackingcodeinputcell.py
@@ -1,7 +1,7 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
diff --git a/combo/apps/wcs/migrations/0008_wcsformcell_cached_json.py b/combo/apps/wcs/migrations/0008_wcsformcell_cached_json.py
index d64a6571..6e7353dd 100644
--- a/combo/apps/wcs/migrations/0008_wcsformcell_cached_json.py
+++ b/combo/apps/wcs/migrations/0008_wcsformcell_cached_json.py
@@ -1,8 +1,8 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
 import jsonfield.fields
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
diff --git a/combo/apps/wcs/migrations/0009_remove_wcscategorycell_link_page.py b/combo/apps/wcs/migrations/0009_remove_wcscategorycell_link_page.py
index b5062fa9..65b4b1b9 100644
--- a/combo/apps/wcs/migrations/0009_remove_wcscategorycell_link_page.py
+++ b/combo/apps/wcs/migrations/0009_remove_wcscategorycell_link_page.py
@@ -1,7 +1,7 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
diff --git a/combo/apps/wcs/migrations/0010_auto_20151029_1535.py b/combo/apps/wcs/migrations/0010_auto_20151029_1535.py
index f43eb939..79db827e 100644
--- a/combo/apps/wcs/migrations/0010_auto_20151029_1535.py
+++ b/combo/apps/wcs/migrations/0010_auto_20151029_1535.py
@@ -1,7 +1,7 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
diff --git a/combo/apps/wcs/migrations/0011_auto_20151215_1121.py b/combo/apps/wcs/migrations/0011_auto_20151215_1121.py
index 689e9d9c..e2cafcca 100644
--- a/combo/apps/wcs/migrations/0011_auto_20151215_1121.py
+++ b/combo/apps/wcs/migrations/0011_auto_20151215_1121.py
@@ -1,7 +1,7 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
diff --git a/combo/apps/wcs/migrations/0012_wcsformsofcategorycell_manual_order.py b/combo/apps/wcs/migrations/0012_wcsformsofcategorycell_manual_order.py
index 247de4e3..f8ef98e6 100644
--- a/combo/apps/wcs/migrations/0012_wcsformsofcategorycell_manual_order.py
+++ b/combo/apps/wcs/migrations/0012_wcsformsofcategorycell_manual_order.py
@@ -1,8 +1,8 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
 import jsonfield.fields
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
diff --git a/combo/apps/wcs/models.py b/combo/apps/wcs/models.py
index 47b112f1..67b312b8 100644
--- a/combo/apps/wcs/models.py
+++ b/combo/apps/wcs/models.py
@@ -21,21 +21,19 @@ import logging
 
 from django.conf import settings
 from django.db import models
-from django.forms import models as model_forms
 from django.forms import Select
+from django.forms import models as model_forms
 from django.utils.text import slugify
 from django.utils.translation import ugettext_lazy as _
-
 from jsonfield import JSONField
 from requests.exceptions import RequestException
 
-from combo.data.models import CellBase, Page
-from combo.data.library import register_cell_class
 from combo import utils
+from combo.data.library import register_cell_class
+from combo.data.models import CellBase, Page
 from combo.utils import requests
 
-from .utils import get_wcs_json, is_wcs_enabled, get_wcs_services
-
+from .utils import get_wcs_json, get_wcs_services, is_wcs_enabled
 
 invalid_reason_codes = {
     'wcs_form_not_defined': _('No form set'),
diff --git a/combo/apps/wcs/views.py b/combo/apps/wcs/views.py
index b640200c..2b062547 100644
--- a/combo/apps/wcs/views.py
+++ b/combo/apps/wcs/views.py
@@ -16,25 +16,24 @@
 
 import re
 
-from django.contrib import messages
+import ratelimit.utils
 from django.conf import settings
+from django.contrib import messages
 from django.core.exceptions import DisallowedRedirect, PermissionDenied
+from django.http import HttpResponseBadRequest, HttpResponseRedirect, JsonResponse
 from django.urls import reverse
-from django.http import JsonResponse, HttpResponseRedirect, HttpResponseBadRequest
 from django.utils.http import urlquote
 from django.utils.six.moves.urllib import parse as urlparse
 from django.utils.translation import ugettext_lazy as _
 from django.views.decorators.csrf import csrf_exempt
 from django.views.generic import View
 
-import ratelimit.utils
+from combo.utils import requests
+from combo.utils.misc import is_url_from_known_service
 
 from .models import TrackingCodeInputCell
 from .utils import get_wcs_services
 
-from combo.utils import requests
-from combo.utils.misc import is_url_from_known_service
-
 
 class TrackingCodeView(View):
     http_method_names = ['post']
diff --git a/combo/data/forms.py b/combo/data/forms.py
index 6b7dbd62..a8d6336f 100644
--- a/combo/data/forms.py
+++ b/combo/data/forms.py
@@ -18,9 +18,10 @@ import copy
 
 from django import forms
 
-from .models import Page, MenuCell, LinkCell, LinkListCell, ConfigJsonCell
 from combo.utils import cache_during_request
 
+from .models import ConfigJsonCell, LinkCell, LinkListCell, MenuCell, Page
+
 
 @cache_during_request
 def get_page_choices():
diff --git a/combo/data/management/commands/import_site.py b/combo/data/management/commands/import_site.py
index f00daeed..7a5f01cb 100644
--- a/combo/data/management/commands/import_site.py
+++ b/combo/data/management/commands/import_site.py
@@ -20,7 +20,7 @@ import tarfile
 
 from django.core.management.base import BaseCommand, CommandError
 
-from combo.data.utils import import_site, import_site_tar, ImportSiteError
+from combo.data.utils import ImportSiteError, import_site, import_site_tar
 
 
 class Command(BaseCommand):
diff --git a/combo/data/migrations/0001_initial.py b/combo/data/migrations/0001_initial.py
index e18e399b..113c8809 100644
--- a/combo/data/migrations/0001_initial.py
+++ b/combo/data/migrations/0001_initial.py
@@ -1,8 +1,8 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
 import ckeditor.fields
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
diff --git a/combo/data/migrations/0002_auto_20150217_1327.py b/combo/data/migrations/0002_auto_20150217_1327.py
index 7547a9ea..a8c60aef 100644
--- a/combo/data/migrations/0002_auto_20150217_1327.py
+++ b/combo/data/migrations/0002_auto_20150217_1327.py
@@ -1,7 +1,7 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
diff --git a/combo/data/migrations/0003_menucell.py b/combo/data/migrations/0003_menucell.py
index eb85fd9c..a110d2b1 100644
--- a/combo/data/migrations/0003_menucell.py
+++ b/combo/data/migrations/0003_menucell.py
@@ -1,7 +1,7 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
diff --git a/combo/data/migrations/0004_menucell_depth.py b/combo/data/migrations/0004_menucell_depth.py
index f222c825..e68d9a3a 100644
--- a/combo/data/migrations/0004_menucell_depth.py
+++ b/combo/data/migrations/0004_menucell_depth.py
@@ -1,7 +1,7 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
diff --git a/combo/data/migrations/0005_auto_20150226_0903.py b/combo/data/migrations/0005_auto_20150226_0903.py
index 5c77cc4b..d60a8467 100644
--- a/combo/data/migrations/0005_auto_20150226_0903.py
+++ b/combo/data/migrations/0005_auto_20150226_0903.py
@@ -1,8 +1,8 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
 import ckeditor.fields
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
diff --git a/combo/data/migrations/0006_linkcell.py b/combo/data/migrations/0006_linkcell.py
index cc30f855..3769ac43 100644
--- a/combo/data/migrations/0006_linkcell.py
+++ b/combo/data/migrations/0006_linkcell.py
@@ -1,7 +1,7 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
diff --git a/combo/data/migrations/0007_auto_20150529_1003.py b/combo/data/migrations/0007_auto_20150529_1003.py
index 0609ebc5..3f34d355 100644
--- a/combo/data/migrations/0007_auto_20150529_1003.py
+++ b/combo/data/migrations/0007_auto_20150529_1003.py
@@ -1,7 +1,7 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
diff --git a/combo/data/migrations/0008_auto_20150529_1504.py b/combo/data/migrations/0008_auto_20150529_1504.py
index 12f8a4d0..691cef40 100644
--- a/combo/data/migrations/0008_auto_20150529_1504.py
+++ b/combo/data/migrations/0008_auto_20150529_1504.py
@@ -1,7 +1,7 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
diff --git a/combo/data/migrations/0009_auto_20150529_2247.py b/combo/data/migrations/0009_auto_20150529_2247.py
index 951b6111..7f93411b 100644
--- a/combo/data/migrations/0009_auto_20150529_2247.py
+++ b/combo/data/migrations/0009_auto_20150529_2247.py
@@ -1,7 +1,7 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
diff --git a/combo/data/migrations/0010_feedcell.py b/combo/data/migrations/0010_feedcell.py
index 5b5262a2..93dac910 100644
--- a/combo/data/migrations/0010_feedcell.py
+++ b/combo/data/migrations/0010_feedcell.py
@@ -1,7 +1,7 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
diff --git a/combo/data/migrations/0011_auto_20151028_1047.py b/combo/data/migrations/0011_auto_20151028_1047.py
index 43f1a692..4ac7fde8 100644
--- a/combo/data/migrations/0011_auto_20151028_1047.py
+++ b/combo/data/migrations/0011_auto_20151028_1047.py
@@ -1,7 +1,7 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
diff --git a/combo/data/migrations/0012_auto_20151029_1535.py b/combo/data/migrations/0012_auto_20151029_1535.py
index b6b4ad79..d6bbf189 100644
--- a/combo/data/migrations/0012_auto_20151029_1535.py
+++ b/combo/data/migrations/0012_auto_20151029_1535.py
@@ -1,7 +1,7 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
diff --git a/combo/data/migrations/0013_parameterscell.py b/combo/data/migrations/0013_parameterscell.py
index a3706a79..130f5ed8 100644
--- a/combo/data/migrations/0013_parameterscell.py
+++ b/combo/data/migrations/0013_parameterscell.py
@@ -1,8 +1,8 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
 import jsonfield.fields
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
diff --git a/combo/data/migrations/0014_menucell_initial_level.py b/combo/data/migrations/0014_menucell_initial_level.py
index 3cef2c2f..292f2a84 100644
--- a/combo/data/migrations/0014_menucell_initial_level.py
+++ b/combo/data/migrations/0014_menucell_initial_level.py
@@ -1,7 +1,7 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
diff --git a/combo/data/migrations/0015_feedcell_title.py b/combo/data/migrations/0015_feedcell_title.py
index eef50ac6..8e3cab94 100644
--- a/combo/data/migrations/0015_feedcell_title.py
+++ b/combo/data/migrations/0015_feedcell_title.py
@@ -1,7 +1,7 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
diff --git a/combo/data/models.py b/combo/data/models.py
index 04887230..938e8977 100644
--- a/combo/data/models.py
+++ b/combo/data/models.py
@@ -17,55 +17,51 @@
 import collections
 import copy
 import datetime
-import feedparser
 import hashlib
 import html
 import json
 import logging
 import os
 import re
-import requests
 import subprocess
 
+import feedparser
+import requests
+from django import forms, template
 from django.apps import apps
 from django.conf import settings
 from django.contrib import messages
 from django.contrib.auth.models import Group
-from django.contrib.contenttypes.fields import GenericForeignKey
-from django.contrib.contenttypes.fields import GenericRelation
+from django.contrib.contenttypes.fields import GenericForeignKey, GenericRelation
 from django.contrib.contenttypes.models import ContentType
-from django.core.cache import cache
-from django.core.exceptions import ObjectDoesNotExist, ValidationError, PermissionDenied
 from django.core import serializers
+from django.core.cache import cache
+from django.core.exceptions import ObjectDoesNotExist, PermissionDenied, ValidationError
 from django.db import models, transaction
-from django.db.models.base import ModelBase
-from django.db.models.signals import pre_save, post_save, post_delete
 from django.db.models import Max, Q
+from django.db.models.base import ModelBase
+from django.db.models.signals import post_delete, post_save, pre_save
 from django.dispatch import receiver
 from django.forms import models as model_forms
-from django import forms
-from django import template
+from django.forms.widgets import MediaDefiningClass
+from django.template import Context, TemplateDoesNotExist, TemplateSyntaxError, engines
+from django.test.client import RequestFactory
 from django.utils import six, timezone
-from django.utils.encoding import python_2_unicode_compatible, force_text, smart_bytes
+from django.utils.encoding import force_text, python_2_unicode_compatible, smart_bytes
 from django.utils.html import strip_tags
 from django.utils.safestring import mark_safe
 from django.utils.six.moves.urllib import parse as urlparse
 from django.utils.text import slugify
 from django.utils.timezone import now
 from django.utils.translation import ugettext_lazy as _
-from django.forms.widgets import MediaDefiningClass
-from django.template import Context, engines, TemplateDoesNotExist, TemplateSyntaxError
-from django.test.client import RequestFactory
-
-from .fields import RichTextField, TemplatableURLField
-
 from jsonfield import JSONField
 
-from .library import register_cell_class, get_cell_classes, get_cell_class
-
 from combo import utils
 from combo.utils import NothingInCacheException
 
+from .fields import RichTextField, TemplatableURLField
+from .library import get_cell_class, get_cell_classes, register_cell_class
+
 
 class PostException(Exception):
     pass
diff --git a/combo/data/utils.py b/combo/data/utils.py
index 253b5685..cca3a8a1 100644
--- a/combo/data/utils.py
+++ b/combo/data/utils.py
@@ -26,12 +26,10 @@ from django.utils.encoding import python_2_unicode_compatible
 from django.utils.translation import ugettext_lazy as _
 
 from combo.apps.assets.models import Asset
-from combo.apps.assets.utils import add_tar_content
-from combo.apps.assets.utils import clean_assets_files
-from combo.apps.assets.utils import untar_assets_files
-from combo.apps.assets.utils import tar_assets_files
+from combo.apps.assets.utils import add_tar_content, clean_assets_files, tar_assets_files, untar_assets_files
 from combo.apps.maps.models import MapLayer
-from combo.apps.pwa.models import PwaSettings, PwaNavigationEntry
+from combo.apps.pwa.models import PwaNavigationEntry, PwaSettings
+
 from .models import Page
 
 
diff --git a/combo/manager/forms.py b/combo/manager/forms.py
index 6611e9f7..71b0582d 100644
--- a/combo/manager/forms.py
+++ b/combo/manager/forms.py
@@ -20,12 +20,10 @@ from django import forms
 from django.conf import settings
 from django.contrib.auth.models import Group
 from django.core.exceptions import ValidationError
-from django.template.loader import get_template, TemplateDoesNotExist
+from django.template.loader import TemplateDoesNotExist, get_template
 from django.utils.translation import ugettext_lazy as _
 
-from combo.data.models import Page
-from combo.data.models import ParentContentCell
-from combo.data.models import compile_sub_slug
+from combo.data.models import Page, ParentContentCell, compile_sub_slug
 
 from .fields import ImageIncludingSvgField
 
diff --git a/combo/manager/urls.py b/combo/manager/urls.py
index 8488d2c9..d957115e 100644
--- a/combo/manager/urls.py
+++ b/combo/manager/urls.py
@@ -14,13 +14,13 @@
 # You should have received a copy of the GNU Affero General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-from django.conf.urls import url, include
+import ckeditor.views as ckeditor_views
+from django.conf.urls import include, url
 from django.contrib.admin.views.decorators import staff_member_required
 from django.views.decorators.cache import never_cache
 
-import ckeditor.views as ckeditor_views
-
 from combo.apps.assets import views as assets_views
+
 from .. import plugins
 from . import views
 
diff --git a/combo/manager/views.py b/combo/manager/views.py
index bd6bf4a8..952fbe2a 100644
--- a/combo/manager/views.py
+++ b/combo/manager/views.py
@@ -14,56 +14,54 @@
 # You should have received a copy of the GNU Affero General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-import hashlib
 import datetime
+import hashlib
 import json
-from operator import attrgetter
 import tarfile
+from operator import attrgetter
 
 from django.conf import settings
 from django.contrib import messages
 from django.core.exceptions import ObjectDoesNotExist, PermissionDenied
+from django.http import Http404, HttpResponse, HttpResponseRedirect
+from django.shortcuts import get_object_or_404, redirect, render
 from django.urls import reverse, reverse_lazy
-from django.http import HttpResponse, HttpResponseRedirect, Http404
-from django.shortcuts import redirect
-from django.shortcuts import render
-from django.shortcuts import get_object_or_404
-from django.utils.translation import ugettext_lazy as _
-from django.utils.encoding import force_text, force_bytes
+from django.utils.encoding import force_bytes, force_text
 from django.utils.formats import date_format
 from django.utils.six import BytesIO
 from django.utils.timezone import localtime
+from django.utils.translation import ugettext_lazy as _
 from django.views.decorators.csrf import requires_csrf_token
 from django.views.generic import (
-    RedirectView,
-    DetailView,
     CreateView,
-    UpdateView,
-    ListView,
     DeleteView,
+    DetailView,
     FormView,
+    ListView,
+    RedirectView,
+    UpdateView,
 )
 
-from combo.data.models import Page, CellBase, ParentContentCell, PageSnapshot, LinkListCell
-from combo.data.library import get_cell_class
-from combo.data.utils import export_site, export_site_tar, import_site, import_site_tar, ImportSiteError
 from combo import plugins
+from combo.data.library import get_cell_class
+from combo.data.models import CellBase, LinkListCell, Page, PageSnapshot, ParentContentCell
+from combo.data.utils import ImportSiteError, export_site, export_site_tar, import_site, import_site_tar
 
 from .forms import (
+    CellVisibilityForm,
     PageAddForm,
-    PageEditTitleForm,
-    PageVisibilityForm,
-    SiteImportForm,
-    SiteExportForm,
+    PageDuplicateForm,
+    PageEditDescriptionForm,
+    PageEditIncludeInNavigationForm,
+    PageEditPictureForm,
     PageEditRedirectionForm,
-    PageSelectTemplateForm,
     PageEditSlugForm,
-    PageEditPictureForm,
-    PageEditIncludeInNavigationForm,
-    PageEditDescriptionForm,
-    CellVisibilityForm,
-    PageDuplicateForm,
+    PageEditTitleForm,
     PageExportForm,
+    PageSelectTemplateForm,
+    PageVisibilityForm,
+    SiteExportForm,
+    SiteImportForm,
 )
 
 
diff --git a/combo/public/views.py b/combo/public/views.py
index f04a7dc3..1d568838 100644
--- a/combo/public/views.py
+++ b/combo/public/views.py
@@ -27,46 +27,45 @@ from django.contrib.auth.models import User
 from django.core import signing
 from django.core.exceptions import ObjectDoesNotExist, PermissionDenied
 from django.db import transaction
+from django.forms.widgets import Media
 from django.http import (
     Http404,
     HttpResponse,
-    HttpResponseRedirect,
-    HttpResponsePermanentRedirect,
     HttpResponseBadRequest,
+    HttpResponsePermanentRedirect,
+    HttpResponseRedirect,
 )
 from django.shortcuts import render, resolve_url
 from django.template import engines
-from django.template.loader import get_template, TemplateDoesNotExist
+from django.template.loader import TemplateDoesNotExist, get_template
 from django.utils import lorem_ipsum, timezone
 from django.utils.encoding import force_text
-from django.utils.six.moves.urllib import parse as urlparse
 from django.utils.six.moves.urllib import parse as urllib
+from django.utils.six.moves.urllib import parse as urlparse
+from django.utils.translation import ugettext as _
 from django.views.decorators.csrf import csrf_exempt
 from django.views.defaults import page_not_found
 
-from django.utils.translation import ugettext as _
-from django.forms.widgets import Media
-
 if 'mellon' in settings.INSTALLED_APPS:
     from mellon.utils import get_idps
 else:
     get_idps = lambda: []
 
+from combo import utils
 from combo.apps.assets.models import Asset
+from combo.apps.search.models import SearchCell
 from combo.data.models import (
     CellBase,
-    PostException,
     Page,
-    Redirect,
+    PageSnapshot,
     ParentContentCell,
+    PostException,
+    Redirect,
     TextCell,
-    PageSnapshot,
     extract_context_from_sub_slug,
 )
 from combo.profile.models import Profile
 from combo.profile.utils import get_user_from_name_id
-from combo.apps.search.models import SearchCell
-from combo import utils
 
 
 class LoginView(auth_views.LoginView):
diff --git a/combo/urls.py b/combo/urls.py
index e58f3b77..69aee1ec 100644
--- a/combo/urls.py
+++ b/combo/urls.py
@@ -21,12 +21,10 @@ from django.contrib import admin
 from django.contrib.staticfiles.urls import staticfiles_urlpatterns
 from django.views.i18n import JavaScriptCatalog
 
-from .urls_utils import decorated_includes, manager_required
-
-from .public.views import login, logout, error404, mellon_page_hook
-from .manager.urls import urlpatterns as combo_manager_urls
-
 from . import plugins
+from .manager.urls import urlpatterns as combo_manager_urls
+from .public.views import error404, login, logout, mellon_page_hook
+from .urls_utils import decorated_includes, manager_required
 
 urlpatterns = [
     url(r'^manage/', decorated_includes(manager_required, include(combo_manager_urls))),
diff --git a/combo/utils/__init__.py b/combo/utils/__init__.py
index 0bec5dba..a5dc6ed3 100644
--- a/combo/utils/__init__.py
+++ b/combo/utils/__init__.py
@@ -16,8 +16,8 @@
 
 # import specific symbols for compatibility
 from .cache import cache_during_request
-from .crypto import aes_hex_decrypt, aes_hex_encrypt, DecryptionError
+from .crypto import DecryptionError, aes_hex_decrypt, aes_hex_encrypt
 from .misc import ellipsize, flatten_context
-from .requests_wrapper import requests, NothingInCacheException
+from .requests_wrapper import NothingInCacheException, requests
 from .signature import check_query, check_request_signature, sign_url
-from .urls import get_templated_url, TemplateError
+from .urls import TemplateError, get_templated_url
diff --git a/combo/utils/requests_wrapper.py b/combo/utils/requests_wrapper.py
index 35933117..b5ffffbd 100644
--- a/combo/utils/requests_wrapper.py
+++ b/combo/utils/requests_wrapper.py
@@ -17,15 +17,15 @@
 import hashlib
 import logging
 
-from requests import Response, Session as RequestsSession
-from requests.auth import AuthBase
-
 from django.conf import settings
 from django.core.cache import cache
 from django.utils.encoding import smart_bytes
 from django.utils.http import urlencode
-from django.utils.six.moves.urllib import parse as urlparse
 from django.utils.six import BytesIO
+from django.utils.six.moves.urllib import parse as urlparse
+from requests import Response
+from requests import Session as RequestsSession
+from requests.auth import AuthBase
 
 from .signature import sign_url
 
diff --git a/setup.py b/setup.py
index 4dbec0bd..0726a4a3 100644
--- a/setup.py
+++ b/setup.py
@@ -7,13 +7,13 @@ import os
 import re
 import subprocess
 import sys
-
-from setuptools.command.install_lib import install_lib as _install_lib
+from distutils.cmd import Command
 from distutils.command.build import build as _build
 from distutils.command.sdist import sdist
-from distutils.cmd import Command
 from distutils.spawn import find_executable
-from setuptools import setup, find_packages
+
+from setuptools import find_packages, setup
+from setuptools.command.install_lib import install_lib as _install_lib
 
 
 class eo_sdist(sdist):
diff --git a/tests/test_assets.py b/tests/test_assets.py
index 0bb4364a..a95062bc 100644
--- a/tests/test_assets.py
+++ b/tests/test_assets.py
@@ -4,21 +4,21 @@ import base64
 import os
 import tarfile
 
-from django.urls import reverse
-from django.core.files.storage import default_storage
+import pytest
 from django.core.files import File
+from django.core.files.storage import default_storage
+from django.urls import reverse
 from django.utils.six import BytesIO
 
-import pytest
-
 from combo.apps.assets.models import Asset
-from combo.apps.assets.utils import add_tar_content
-from combo.apps.assets.utils import clean_assets_files
-from combo.apps.assets.utils import export_assets
-from combo.apps.assets.utils import import_assets
-from combo.apps.assets.utils import untar_assets_files
-from combo.apps.assets.utils import tar_assets_files
-
+from combo.apps.assets.utils import (
+    add_tar_content,
+    clean_assets_files,
+    export_assets,
+    import_assets,
+    tar_assets_files,
+    untar_assets_files,
+)
 
 pytestmark = pytest.mark.django_db
 
diff --git a/tests/test_calendar.py b/tests/test_calendar.py
index a80cff1d..16080d32 100644
--- a/tests/test_calendar.py
+++ b/tests/test_calendar.py
@@ -1,17 +1,16 @@
-import json
 import datetime
+import json
 
-import pytest
 import mock
-
+import pytest
 from django.contrib.auth.models import User
 from django.core.cache import cache
 from django.urls import reverse
 from django.utils.six.moves.urllib import parse as urlparse
 
-from combo.data.models import Page
 from combo.apps.calendar.models import BookingCalendar
-from combo.apps.calendar.utils import get_calendar, get_chrono_service, get_chrono_events
+from combo.apps.calendar.utils import get_calendar, get_chrono_events, get_chrono_service
+from combo.data.models import Page
 
 pytestmark = pytest.mark.django_db
 
diff --git a/tests/test_cells.py b/tests/test_cells.py
index 4df5df4f..8bcb3b79 100644
--- a/tests/test_cells.py
+++ b/tests/test_cells.py
@@ -1,36 +1,36 @@
 import datetime
 import json
-import mock
 import os
+
+import mock
 import pytest
 import requests
-
-from combo.data.models import (
-    Page,
-    CellBase,
-    TextCell,
-    LinkCell,
-    MenuCell,
-    JsonCellBase,
-    JsonCell,
-    ConfigJsonCell,
-    LinkListCell,
-    FeedCell,
-    ValidityInfo,
-)
 from django.apps import apps
 from django.conf import settings
+from django.contrib.auth.models import User
 from django.db import connection
 from django.forms.widgets import Media
 from django.test import override_settings
 from django.test.client import RequestFactory
 from django.test.utils import CaptureQueriesContext
-from django.contrib.auth.models import User
 from django.urls import reverse
-from django.utils.encoding import force_text, force_bytes
+from django.utils.encoding import force_bytes, force_text
 from django.utils.timezone import now
 
 from combo.data.library import get_cell_classes
+from combo.data.models import (
+    CellBase,
+    ConfigJsonCell,
+    FeedCell,
+    JsonCell,
+    JsonCellBase,
+    LinkCell,
+    LinkListCell,
+    MenuCell,
+    Page,
+    TextCell,
+    ValidityInfo,
+)
 from combo.utils import NothingInCacheException
 
 from .test_manager import login
diff --git a/tests/test_dashboard.py b/tests/test_dashboard.py
index 8a50899c..3211beed 100644
--- a/tests/test_dashboard.py
+++ b/tests/test_dashboard.py
@@ -1,21 +1,21 @@
 import datetime
 import json
-import mock
 import os
-import pytest
-from webtest import TestApp
 
+import mock
+import pytest
 from django.apps import apps
 from django.conf import settings
 from django.contrib.auth.models import User
 from django.core.management import call_command
+from django.test import override_settings
 from django.urls import reverse
 from django.utils.six.moves.urllib import parse as urlparse
-from django.test import override_settings
+from webtest import TestApp
 
-from combo.wsgi import application
-from combo.data.models import Page, CellBase, TextCell, ConfigJsonCell
 from combo.apps.dashboard.models import DashboardCell, Tile
+from combo.data.models import CellBase, ConfigJsonCell, Page, TextCell
+from combo.wsgi import application
 
 pytestmark = pytest.mark.django_db
 
diff --git a/tests/test_dataviz.py b/tests/test_dataviz.py
index 28fec523..f8794f6d 100644
--- a/tests/test_dataviz.py
+++ b/tests/test_dataviz.py
@@ -1,21 +1,20 @@
 import json
 import urllib.parse
+from datetime import date, timedelta
 
 import mock
 import pytest
-from datetime import timedelta, date
-from httmock import HTTMock, with_httmock, remember_called, urlmatch
-from requests.exceptions import HTTPError
-
 from django.apps import apps
-from django.contrib.auth.models import User, Group
+from django.contrib.auth.models import Group, User
 from django.db import connection
 from django.db.migrations.executor import MigrationExecutor
 from django.test import override_settings
 from django.utils import timezone
+from httmock import HTTMock, remember_called, urlmatch, with_httmock
+from requests.exceptions import HTTPError
 
+from combo.apps.dataviz.models import ChartNgCell, Gauge, Statistic, UnsupportedDataSet
 from combo.data.models import Page, ValidityInfo
-from combo.apps.dataviz.models import Gauge, ChartNgCell, UnsupportedDataSet, Statistic
 
 from .test_public import login, normal_user
 
